summaryrefslogtreecommitdiffstats
path: root/source/n/bluez/bluez.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/bluez/bluez.SlackBuild')
-rwxr-xr-xsource/n/bluez/bluez.SlackBuild17
1 files changed, 10 insertions, 7 deletions
diff --git a/source/n/bluez/bluez.SlackBuild b/source/n/bluez/bluez.SlackBuild
index 069f952d6..3597c4fd4 100755
--- a/source/n/bluez/bluez.SlackBuild
+++ b/source/n/bluez/bluez.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=bluez
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -78,6 +78,8 @@ find . \
sed -i -e 's|-lreadline|\0 -lncursesw|g' Makefile.{in,tools}
+cat $CWD/b94f1be656f34ea1363f5566ef63b847234c6dea.patch | patch -p1 --verbose || exit 1
+
autoreconf -vif
# We're adding --enable-deprecated due to this commit:
@@ -138,12 +140,8 @@ cp -a $CWD/config/org.bluez.obex.service $PKG/usr/share/dbus-1/services
chown root:root $PKG/usr/share/dbus-1/services/org.bluez.obex.service
chmod 644 $PKG/usr/share/dbus-1/services/org.bluez.obex.service
-# Install the configuration files
-mkdir -p $PKG/etc/bluetooth $PKG/etc/default
-cat src/main.conf > $PKG/etc/bluetooth/main.conf.new
-cat profiles/input/input.conf > $PKG/etc/bluetooth/input.conf.new
-cat profiles/network/network.conf > $PKG/etc/bluetooth/network.conf.new
-cat $CWD/config/uart.conf > $PKG/etc/bluetooth/uart.conf.new
+# Install default options config file:
+mkdir -p $PKG/etc/default
cat $CWD/config/defaultconfig > $PKG/etc/default/bluetooth.new
# Add an init script
@@ -154,6 +152,11 @@ cat $CWD/config/rc.bluetooth > $PKG/etc/rc.d/rc.bluetooth.new
# script is not executable:
chmod 755 $PKG/etc/rc.d/rc.bluetooth.new
+# Make the other config files .new:
+for config in input.conf main.conf network.conf ; do
+ mv $PKG/etc/bluetooth/${config} $PKG/etc/bluetooth/${config}.new
+done
+
# If the deprecated utility gatttool was built, go ahead and install it:
if [ -x attrib/gatttool ]; then
cp attrib/gatttool $PKG/usr/bin